KYUA-REPORT-JUNIT(1)

NAME
kyua report-junit - Generates a JUnit report with the results of a test suite run

SYNOPSIS
kyua report-junit [--output path] [--results-file file]

DESCRIPTION
The kyua report-junit command provides a simple mechanism to generate JUnit reports of the execution of a test suite. The command processes a results file and then generates a single XML file that complies with the JUnit XSchema.

The JUnit output is static and self-contained, so it can easily be plugged into any continuous integration system, like Jenkins.

The following subcommand options are recognized:

--output directory
    Specifies the file into which to store the JUnit report.

--results-file path, -r path
    __include__ results-file-flag-read.mdoc

  Caveats
Because of limitations in the JUnit XML schema, not all the data collected by Kyua can be properly represented in JUnit reports. However, because test data are extremely useful for debugging purposes, the kyua report-junit command shovels these data into the JUnit output. In particular:

•   The test case metadata values are prepended to the test case's standard error output.

•   Test cases that report expected failures as their results are recorded as passed. The fact that they failed as expected is recorded in the test case's standard error output along with the corresponding reason.

  Results files
__include__ results-files.mdoc

EXIT STATUS
The kyua report-junit command always returns 0.

Additional exit codes may be returned as described in kyua(1).

EXAMPLES
__include__ results-files-report-example.mdoc REPORT_COMMAND=report-junit

SEE ALSO
kyua(1), kyua-report(1), kyua-report-html(1)